Subject: [bug#49601] [PATCH] services: transmission: Create downloads directory.

From: Efraim Flashner <[email-masked]>
Date: Mon, 19 Jul 2021 15:13:04 +0300

On Sat, Jul 17, 2021 at 07:52:21AM -0400, Simon South wrote:
> [email-masked] writes:
> > This fixes a bug where transmission doesn't have permission to create
> > it's download directory. This bug occurs when download-dir is
> > configured to a location where the transmission user doesn't have
> > permission to create a directory.
> 
> Morgan,
> 
> I recall originally having the service activation create the downloads
> directory, as your change makes it do, but then removing this as there
> was some common case where it made service activation fail.
> Unfortunately, I've forgotten what that was.
> 
> Let me see if I can duplicate that and if so, perhaps we can find a
> solution that will handle both cases. At any rate:
> 
> > +                              (,download-dir #o755))
> 
> The folder permissions should be #o750, not #o755. The reasoning here is
> that it ought to be possible to place limits on who can see and access
> files being shared by other users.
> 

It's possible it was mkdir vs mkdir-p

(ins)scheme@(guile-user)> (mkdir "tmp")
(ins)scheme@(guile-user)> (mkdir "tmp")
ice-9/boot-9.scm:1685:16: In procedure raise-exception:
In procedure mkdir: File exists

Entering a new prompt.  Type `,bt' for a backtrace or `,q' to continue.
(ins)scheme@(guile-user) [1]> ,q
(ins)scheme@(guile-user)> (use-modules (guix build utils))
(ins)scheme@(guile-user)> (mkdir-p "tmp")
$1 = #t

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted